package com.goldenwater.slgc.mapper.pms;

import com.goldenwater.slgc.entity.pms.PmsContract;
import org.apache.ibatis.annotations.Mapper;
import java.util.List;

@Mapper
public interface PmsContractMapper {
    /**
     * 查询合同列表
     */
    List<PmsContract> selectList(PmsContract contract);

    /**
     * 根据主键查询合同
     */
    PmsContract selectById(Long id);

    /**
     * 新增合同
     */
    int insert(PmsContract contract);

    /**
     * 修改合同
     */
    int update(PmsContract contract);

    /**
     * 删除合同
     */
    int deleteById(Long id);

    /**
     * 批量删除合同
     */
    int deleteByIds(Long[] ids);
}
